Bug 143342 - Crash when using "Search Command" feature
Summary: Crash when using "Search Command" feature
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords: haveBacktrace
Depends on:
Blocks: 91874
  Show dependency treegraph
 
Reported: 2021-07-13 23:42 UTC by Ming Hua
Modified: 2021-07-16 18:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: https://crashreport.libreoffice.org/stats/crash_details/86b5a6df-de8c-4ab5-9dba-6e9280fb779b
Regression By:


Attachments
gdb bt (1.03 KB, text/plain)
2021-07-14 09:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2021-07-13 23:42:21 UTC
Description:
Using the new "Search Command" feature, when a search term that doesn't match anything is in the HUD dialog, and Enter key is pressed, LibreOffice crashes.

Steps to Reproduce:
1. Press shortcut Ctrl+F1 to open the HUD window, any module should do (tested Writer and Calc);
2. Type some text that doesn't match any UI command in the HUD window's input bar, for example "foobar";
3. Press Enter key, LibreOffice crashes.

Version Information:
I think I first experienced this in earlier alpha/beta versions of 7.2, but couldn't send a crash report then.  This time it's with 7.2.0 RC1 on Windows 10:
Version: 7.2.0.1 (x64) / LibreOffice Community
Build ID: 32efc3b7f3a71cfa6a7fa3f6c208333df48656cc
CPU threads: 2; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: en-US
Calc: threaded
Comment 1 Ming Hua 2021-07-13 23:47:27 UTC
There doesn't seem to be a meta bug for Search Command feature.  Should I just block the original bug 91874?
Comment 2 nonedisponibile 2021-07-14 07:00:13 UTC
I can reproduce the bug.
Version: 7.2.0.0.beta1 / LibreOffice Community
Build ID: c6974f7afec4cd5195617ae48c6ef9aacfe85ddd
CPU threads: 2; OS: Linux 5.12; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 3 Julien Nabet 2021-07-14 09:38:30 UTC
Created attachment 173553 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 Julien Nabet 2021-07-14 09:40:41 UTC
I gave a try with https://gerrit.libreoffice.org/c/core/+/118891
Comment 5 Commit Notification 2021-07-14 11:02:49 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/32b820b7ac299de66965857a86feed895f91c4d5

tdf#143342: fix crash when using "Search Command" feature

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2021-07-14 11:03:53 UTC
Backport for 7.2 branch waiting for review here:
https://gerrit.libreoffice.org/c/core/+/118912
Comment 7 Commit Notification 2021-07-15 08:44:22 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/e0dc2d8ac04b123cb0f43e3595d61e2198bf89a0

tdf#143342: fix crash when using "Search Command" feature

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2021-07-16 18:49:55 UTC
No crash in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c6695a4aabeaae99174b7658f2b813788ecff7f0
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded